ZLANHS(3f)

NAME
ZLANHS - the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a Hessenberg matrix A

SYNOPSIS

DOUBLE PRECISION
    FUNCTION ZLANHS( NORM, N, A, LDA, WORK )

CHARACTER
    NORM

INTEGER
    LDA, N

DOUBLE
    PRECISION WORK( * )

COMPLEX*16
    A( LDA, * )

PURPOSE
ZLANHS returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a Hessenberg matrix A.

DESCRIPTION
ZLANHS returns the value
   ZLANHS = ( max(abs(A(i,j))), NORM = 'M' or 'm'
            (
            ( norm1(A), NORM = '1', 'O' or 'o'
            (
            ( normI(A), NORM = 'I' or 'i'
            (
            ( normF(A), NORM = 'F', 'f', 'E' or 'e' where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

ARGUMENTS

NORM    (input) CHARACTER*1
    Specifies the value to be returned in ZLANHS as described above.

N       (input) INTEGER
    The order of the matrix A. N >= 0. When N = 0, ZLANHS is set to zero.

A       (input) COMPLEX*16 array, dimension (LDA,N)
    The n by n upper Hessenberg matrix A; the part of A below the first sub-diagonal is not referenced.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(N,1).

WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
    where LWORK >= N when NORM = 'I'; otherwise, WORK is not referenced.